unit g_Monster;

interface
uses
  g_Data,g_Types,g_Character,g_Monster_Load,
  {$INCLUDE uses.inc};

procedure Draw_Monster(self : zMonster);
procedure Monster_Update(self : zMonster; time : float);
implementation

procedure Draw_Monster(self : zMonster);
begin
  Character_Draw(@World.Characters[self^.Character]);
end;

procedure Monster_Update(self : zMonster; time : float);
begin
  Character_Update(@World.Characters[self^.character],time);
end;

end.
